Bug 993459 - Plugins page missed after upgrade old rhev-h 6.5 to last rhev-h 6.5
Plugins page missed after upgrade old rhev-h 6.5 to last rhev-h 6.5
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ovirt-node (Show other bugs)
6.5
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Ryan Barry
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 21:59 EDT by haiyang,dong
Modified: 2013-10-21 09:53 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-21 09:53:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description haiyang,dong 2013-08-05 21:59:33 EDT
Description of problem:
Using edit-node install ovirt-node-plugin-puppet-3.0.0-6.1.el6.noarch.rpm into rhev-hypervisor6-6.5-20130725.0.el6.iso,
and clean install this iso into local machine.
Then we will check that there was a puppet page in TUI configuration menu after login rhev-h
But after upgrade it to last rhev-h 6.5 and login into last version,
check that Plugin "puppet" page was missed.


Version-Release number of selected component (if applicable):
ovirt-node-plugin-puppet-3.0.0-6.1.el6.noarch.rpm
ovirt-node-tools-3.0.0-6.1.el6.noarch.rpm 
rhev-hypervisor6-6.5-20130725.0.el6


How reproducible:
100%

Steps to Reproduce:


Actual results:
Plugins page missed after upgrade old rhev-h 6.5 to last rhev-h 6.5

Expected results:
Better to keep plugins page after upgrade old rhev-h 6.5 to last rhev-h 6.5


Additional info:
Comment 2 Ryan Barry 2013-10-02 12:09:42 EDT
I'll look at the upgrade code paths to see if we can keep it.
Comment 6 Ryan Barry 2013-10-21 09:53:38 EDT
Since it's infeasible to backtrack through every file required by a plugin (and probably the dependencies of the plugin) to persist all of them, the recommendation will be to upgrade with an image which contains the plugins you'd like.

Note You need to log in before you can comment on or make changes to this bug.